package com.hai.enum_type;

/**
 * @className: UserRoelTypeEnum
 * @author: HuRui
 * @date: 2022/9/21
 **/
public enum UserRoleTypeEnum {
    type0(0, "超级管理员"),
    type1(1, "运营中心"),
    type2(2, "商户角色"),
    type3(3, "门店角色"),
    type4(4, "代理商角色"),
    type5(5, "分公司角色"),
    type6(6, "充值后台人员"),
    type7(7, "渠道公司角色"),
    type8(8, "团油代理商"),
    type9(9, "团油业务员"),
    type10(10, "加油站员工"),
            ;

    private Integer type;

    private String name;

    UserRoleTypeEnum(Integer type,String name) {
        this.type = type;
        this.name = name;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
